dimRedMethodList {dimRed} | R Documentation

## dimRedMethodList

### Description

Get the names of all methods for dimensionality reduction.

### Usage

    dimRedMethodList()

### Details

Returns the name of all classes that inherit from `dimRedMethod-class` to use with `embed`.

### Value

a character vector with the names of classes that inherit from `dimRedMethod`.

### See Also

Other dimensionality reduction methods: `AutoEncoder-class`, `DRR-class`, `DiffusionMaps-class`, `DrL-class`, `FastICA-class`, `FruchtermanReingold-class`, `HLLE-class`, `Isomap-class`, `KamadaKawai-class`, `LLE-class`, `MDS-class`, `NNMF-class`, `PCA-class`, `PCA_L1-class`, `UMAP-class`, `dimRedMethod-class`, `kPCA-class`, `nMDS-class`, `tSNE-class`

### Examples

    dimRedMethodList()

[Package dimRed version 0.2.2 Index]